### Constructor

# Camel StreamFilter new

since: 2.32

#### Declaration [src]

    CamelStream*
    camel_stream_filter_new (
      CamelStream* source
    )

#### Description [src]

Create a new `CamelStreamFilter` object. The `source` stream is referenced, thus the caller can unref it, if not needed.

Available since: 2.32

#### Parameters

`source`

  Type: `CamelStream`

  A `CamelStream` to filter.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelStream`

A new `CamelStreamFilter` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.